cURL
curl --request PATCH \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/egress-private-endpoints/{id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"domain_names":["example.com","api.example.com"]}'{
"domain_names": [
"<string>"
],
"endpoint_address": "<string>",
"endpoint_connection_id": "<string>",
"id": "<string>",
"region": "<string>",
"state": "PENDING",
"target_service_identifier": "<string>",
"target_service_type": "PRIVATE_SERVICE",
"domain_names_state": "EMPTY"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Update egress private endpoint.
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
PATCH
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
egress-private-endpoints
/
{id}
cURL
curl --request PATCH \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/egress-private-endpoints/{id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"domain_names":["example.com","api.example.com"]}'{
"domain_names": [
"<string>"
],
"endpoint_address": "<string>",
"endpoint_connection_id": "<string>",
"id": "<string>",
"region": "<string>",
"state": "PENDING",
"target_service_identifier": "<string>",
"target_service_type": "PRIVATE_SERVICE",
"domain_names_state": "EMPTY"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Path Parameters
Body
application/json
Response
A successful response.

